"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ServiceArea = void 0;
const react_1 = require("react");
const ServiceArea = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'serviceArea',
        ...props,
    }, children);
};
exports.ServiceArea = ServiceArea;
ServiceArea.GeoShape = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "serviceArea",
        itemScope: true,
        itemType: "https://schema.org/GeoShape",
        ...props
    }, children);
};
ServiceArea.AdministrativeArea = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "serviceArea",
        itemScope: true,
        itemType: "https://schema.org/AdministrativeArea",
        ...props
    }, children);
};
ServiceArea.Place = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "serviceArea",
        itemScope: true,
        itemType: "https://schema.org/Place",
        ...props
    }, children);
};
